# Copyright (C) 2020-2021 David Sugar <tychosoft@gmail.com>.
# Use of this source code is governed by a MIT-style license
# that can be found in the included LICENSE.md file.

DOCKER	:= $(shell which podman docker 2>/dev/null)

ifndef	DOCKER_TAG
DOCKER_TAG 	:= latest
endif

ifndef	DOCKER_REGISTRY
DOCKER_REGISTRY	:= local
endif

ifndef	DOCKER_DEPLOY
DOCKER_DEPLOY 	:= "quay.io/gnutelephony/$(PROJECT)-server"
endif

.PHONY: docker docker-dist docker-shell

docker:	docker-dist
	$(DOCKER) build --build-arg VERSION=$(VERSION) --squash -t $(DOCKER_REGISTRY)/$(PROJECT)-server:$(DOCKER_TAG) .

docker-dist:	dist
	$(DOCKER) pull alpine:latest

docker-shell:	docker-images
	$(DOCKER) run -it --entrypoint /bin/ash $(DOCKER_REGISTRY)/$(PROJECT)-server:$(DOCKER_TAG)
